import request from '@/utils/request'

// 查询物种基础信息列表
export function listSpeciesInfo(query) {
  return request({
    url: '/base/speciesInfo/list',
    method: 'get',
    params: query
  })
}

// 查询物种基础信息详细
export function getSpeciesInfo(id) {
  return request({
    url: '/base/speciesInfo/' + id,
    method: 'get'
  })
}

// 新增物种基础信息
export function addSpeciesInfo(data) {
  return request({
    url: '/base/speciesInfo',
    method: 'post',
    data: data
  })
}

// 修改物种基础信息
export function updateSpeciesInfo(data) {
  return request({
    url: '/base/speciesInfo',
    method: 'put',
    data: data
  })
}

// 删除物种基础信息
export function delSpeciesInfo(id) {
  return request({
    url: '/base/speciesInfo/' + id,
    method: 'delete'
  })
}

// 统计基础数据
export function getCount(data) {
  return request({
    url: '/base/speciesInfo/count',
    method: 'post',
    data: data
  })
}